package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.use_case.AlbumsUseCase
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class AlbumssInteractor @Inject constructor(
    private val useCase: AlbumsUseCase
) {

    fun fetchHeaderAlbums() = useCase.getProgressAlbums()

    fun fetchAlbumPhotos(parentId:Int) =
        useCase.getChildAlbum(parentId)

}



